'use strict';

var tslib_es6 = require('./tslib.es6-cjs.js');
var React = require('react');
var classnames = require('classnames');
var Separator = require('./Separator-cjs.js');

var styles = {"separator":"P9RktRZz8u4-","spinning":"s5WIhh8jh0o-"};

const OverlaySeparator = React.forwardRef(function OverlaySeparator(_a, ref) {
    var { className } = _a, props = tslib_es6.__rest(_a, ["className"]);
    return (React.createElement(Separator.Separator, Object.assign({}, props, { ref: ref, className: classnames(styles.separator, className) })));
});

exports.OverlaySeparator = OverlaySeparator;
